//This is read_struct_vec.cc
//Function definition of memeber function of class Trans_vectors
//This function read in structural vectors
//By Teck Leong Tan

#include "trans_vectors.h"

void Trans_vectors::read_struct_vec(fstream &file, int ndim, Inversion &inv)
{
  clear_vecs();
  vector <double> tempvec;
  double mag;
  tempvec.assign(ndim,0);
  /*//Intialise struct_vec & struct_vec_inv
  for (int i=0 ; i<ndim;i++)
  {
    vecs.push_back(tempvec);
    inv_vecs.push_back(tempvec);
  }
  mag2.assign(ndim,0);*/

  //Read scale
  file>>scale;
  file.ignore(1024,'\n');
  //Read Structural vectors
  for (int j=0; j<ndim; j++)
  {       
    mag=0;
    for(int k=0; k<ndim; k++)
    {       
      file>>tempvec[k];
      tempvec[k]*=scale;
      mag+=(tempvec[k]*tempvec[k]);
      // cout<<struct_vec[j][k]<<" ";
    }      
    vecs.push_back(tempvec);
    inv_vecs.push_back(tempvec);
    mag2.push_back(mag);
    file.ignore(1024, '\n');
  }
  inv.invert_matrix(inv_vecs);
  cal_volume();
} 
//EOF
