//This file is "siteo.h"
//Declaration of struct SIte.
//By Teck Leong Tan

#ifndef _SITEO_H
#define _SITEO_H
#include "neighboro.h"
#include "cor_neighboro.h"
#include "cor_def_clustero.h"
#include <vector>
using namespace std;
struct SiteO
{
  int atomtype;
  vector <NeighborO*> neighbors;
  //The following are neighbor table for correlation calculations
  vector <Cor_neighborO*> cor_pair;//Pair correlations 
  vector <Cor_def_clusterO*> cor_def_spa;//User defined clusters (spatially averaged)
  vector <Cor_def_clusterO*> cor_def_fix;//User defined cluster (not spa. ave.)
  vector <int> sub_instances;//num of instances of each atomic species type for each sublattice
  vector <int> LRO_instances;//num of instances of each atomic species type at every site
};

#endif
//Both sub_instances & LRO_instances has a size of num_type+1. 
//LRO_instances stores the no. of instances for each species 
//type at each site, for LRO calculations.
//sub_instances stores the no. of instances for each species
//type for each sublattice. Used for pair correlations.

//EOF


