//This file is "concentration.h"
//Declaration of struc concentration
//By Teck Leong Tan

#ifndef _CONCENTRATION_H
#define _CONCENTRATION_H
#include <vector>
using namespace std;

struct Concentration
{
    vector<double>conc, conc_avg, M4avg, M2avg;
    vector<int>amount; 
};
#endif

/*-----------------------------------------------------------------------------
conc: Stores the conc. of each atomic species 
conc_avg: Stores the average conc. of each atom type
amount: Stores the no. of atoms for each species
M4avg: 4th moment of magnetisation, M. Conversion to spin model: M = 2*conc-1
M2avg: 2nd moment of magnetisation, M. 
    U4=1 - <M4>/(3<M2>^2)
----------------------------------------------------------------------------*/
//EOF
