 //This file is "nbody.h"
 //Declaration of class Sublattice
 //By Teck Leong Tan

 #ifndef _NBODY_H
 #define _NBODY_H
 #include <vector>
 #include "ncluster.h"
 using namespace std;

 struct Nbody
 {
   vector <Ncluster*> nclus;
   vector < vector<int> > all_clus;
   //The above stores info. of all possible f-index of clusters 
   //with n-bodies. It contains
   //an index to correspond to the correct index of the
   //interaction energy, J, during struct inv.
   //This index is sublat. indep. and thus used only in sublat[0]
   vector<int>f_degen;//Degeneracy of each possible f_index;
   int flimit;//The limiting cluster number [out of nclus.size()]
  
 };

 #endif
